curl --request POST \
--url https://api.tensormesh.ai/v1/users/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
'{
"apiKey": {
"id": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
}Creates an API key for a user.
curl --request POST \
--url https://api.tensormesh.ai/v1/users/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
'{
"apiKey": {
"id": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
A successful response.
CreateUserApiKeyResponse is the response after creating an API key.
ApiKey represents an API key object owned by a user.
Show child attributes
Was this page helpful?